<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Users/New"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Ajouter un utilisateur</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!userForm.invalid && save()" #userForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Prenom</mat-label>
            <input minlength="3" name="prenom" [(ngModel)]="userToSend.prenom" matInput placeholder="Ex. John" required>
            <mat-error *ngIf="prenom.invalid">{{getNomErrorMsg()}}</mat-error>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Nom</mat-label>
            <input minlength="3" name="nom" [(ngModel)]="userToSend.nom" matInput placeholder="Ex. Doe" required>
            <mat-error *ngIf="nom.invalid">{{getNomErrorMsg()}}</mat-error>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Email</mat-label>
            <input name="mail" [(ngModel)]="userToSend.mail" matInput type="email" [formControl]="email"
                   placeholder="Ex. JohnDoe@agc.be" required>
            <mat-error *ngIf="email.invalid">{{getErrorMessage()}}</mat-error>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>BE (Code d'identification)</mat-label>
            <input class="be-code-input" [(ngModel)]="userToSend.BE" name="BE" min="0" matInput type="number"
                   placeholder="Ex. 117059" required>
          </mat-form-field>
          <mat-form-field class="example-full-width">
            <mat-label>Tracabilité</mat-label>
            <input name="tracabilite" [(ngModel)]="userToSend.tracabilite" matInput placeholder="Ex. QMSDT">
          </mat-form-field>
          <mat-form-field appearance="fill" class="select-form">
            <mat-label>Role</mat-label>
            <mat-select name="FK_role" required [(ngModel)]="userToSend.FK_role">
              <mat-option *ngFor="let role of roleList" [value]="role.roleId">
                {{role.role}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="selectRole.invalid">{{getSelectRoleErrorMessage()}}</mat-error>
          </mat-form-field>
          <mat-form-field appearance="fill" class="select-form">
            <mat-label>Equipe</mat-label>
            <mat-select name="FK_equipe" [(ngModel)]="userToSend.FK_equipe" required>
              <mat-option *ngFor="let equipe of equipesList" [value]="equipe.equipeId">
                {{equipe.equipe}}
              </mat-option>
            </mat-select>
            <mat-error *ngIf="selectEquipe.invalid">{{getSelectEquipeErrorMessage()}}</mat-error>
          </mat-form-field>

          <button type="submit" [disabled]="!userForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>
